org.eclipse.emf.cdo.server

## Interface IStoreAccessor.QueryResourcesContext.ExactMatch

- All Superinterfaces:
    CDOBranchPoint, CDOBranchProvider, CDOTimeProvider, IStoreAccessor.QueryResourcesContext
  Enclosing interface:
    IStoreAccessor.QueryResourcesContext

      public static interface IStoreAccessor.QueryResourcesContext.ExactMatch
      extends IStoreAccessor.QueryResourcesContext

  Represents the query execution state of a `resources query` that is supposed to deliver one exact resource, or `null`.
  Since:
    2.0
  Author:
    Eike Stepper
  Apiviz

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.cdo.server.IStoreAccessor.QueryResourcesContext

      `IStoreAccessor.QueryResourcesContext.ExactMatch`

  - ### Field Summary

    - ### Fields inherited from interface org.eclipse.emf.cdo.common.branch.CDOBranchPoint

      `INVALID_DATE, UNSPECIFIED_DATE`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `CDOID` | `getResourceID()`

    - ### Methods inherited from interface org.eclipse.emf.cdo.server.IStoreAccessor.QueryResourcesContext

      `addResource, exactMatch, getFolderID, getMaxResults, getName`

    - ### Methods inherited from interface org.eclipse.emf.cdo.common.branch.CDOBranchPoint

      `getBranch, getTimeStamp`

- - ### Method Detail

    - #### getResourceID

          CDOID getResourceID()

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html